0 Пользователей и 1 Гость просматривают эту тему.
  • 7 Ответов
  • 1784 Просмотров

Вот собственно..
Parse error: syntax error, unexpected '`', expecting '(' in /home/mydomen/public_html/installation/installer/helper.php on line 1027

Параметры хостинга соответствуют:
переписка с хост провайдером
интересно следующее: Отвечает ли ваш хостинг следующим требованиям:
PHP 4.2.x или выше: http://www.php.net
MySQL 3.23.x или выше: http://www.mysql.com
Apache 1.13.19 или выше: http://www.apache.org

Ответ:
Здравствуйте,

Да, отвечает, если вам необходима 5-я версия php вам необходимо выполнить инструкции описанные по ниже указанной ссылке :

http://support.hostpro.ua/index.php?_m=knowledgebase&_a=viewarticle&kbarticleid=4&nav=0,1,2
*

chtec

  • Захожу иногда
  • 230
  • 100 / 1
Ну и?
Иди выполняй инструкцию.

PHP тебе нужен пятый, а не 4.
Осень тоже хорошо.

То-есть 1.5х рассчитана на php5? Но тогда если я поменяю расширения файлов с php на php5 - нужно будет менять и все ссылки на файлы? Я попробовал поменять расширение файла helper.php на helper.php5 - тотчас установщик сказал, что необходимый файл helper.php не найден
*

smart

  • Администратор
  • 6485
  • 1315 / 15
  • Хочешь сделать хорошо — сделай!
Да, отвечает, если вам необходима 5-я версия php вам необходимо выполнить инструкции описанные по ниже указанной ссылке
полный маразм, рекомендую сменить хостера, если другого пути перехода на PHP5 нет. Менять расширение у всех файлов это совершенно неприемлемое решение. Так им и скажите...

Это надо же додуматься до такого... Тем более, что уже целый год, как PHP4 не поддерживается как продукт. Весь мир уже давным давно перешел на PHP5, уже недалеко то время, когда выйдет PHP6... Да, на некоторых хостингах из соображений совместимости оставляют PHP4, но как альтернативу, а не основную версию... Ужас...

С другой стороны, я от них другого и не ожидал (не раз уже писал на форуме, что данный хостинг безусловно был качественным пару лет назад, но последние 1.5 года хуже площадки я не видел).
*

chtec

  • Захожу иногда
  • 230
  • 100 / 1
Менять расширение файлов - не тема, второй способ

Цитировать
2) для того чтоб PHP5 использовался по умолчанию для Вашего сайта необходимо добавить в файл .htaccess следующую строку AddHandler application/x-httpd-php5 .php

реализовать проще, нэ...

Сменить хостера... А если хостинг уже проплачен? Деньги они вряд ли вернут - они же PHP 5  и не обещали по умолчанию, в FAQ все прописано.
Хотя - свое дело дороже денег...

[Corban], тебе нужно срочно обновить свои представления о
PHP 4.2.x или выше: http://www.php.net
MySQL 3.23.x или выше: http://www.mysql.com
Apache 1.13.19 или выше: http://www.apache.org
и учитывать при выборе хостера...
Осень тоже хорошо.

А почему бы не обратится напрямую к хостеру?
Ведь техподдержку никто не отменял.
*

chtec

  • Захожу иногда
  • 230
  • 100 / 1
deus207, а почему бы не прочитать первый пост, в котором цитируется переписка с хостером? ;)
Осень тоже хорошо.

может и так...
но мне кажется, что прописать 1 строчку для активации рнр5 не так уж и сложно :)
« Последнее редактирование: 10.12.2008, 22:03:13 от deus207 »
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Ошибка при внесении в настройки изменений компонента jUpgrade(обновление joomla)

Автор Ilya69

Ответов: 0
Просмотров: 1580
Последний ответ 08.05.2018, 20:23:13
от Ilya69
Ошибка

Автор viktoriyaal2006

Ответов: 3
Просмотров: 3575
Последний ответ 30.01.2018, 08:50:42
от SeBun
ошибка 503

Автор nadijez

Ответов: 3
Просмотров: 2956
Последний ответ 18.10.2017, 08:59:42
от SeBun
Ошибка после восстановления сайта из резервной копии

Автор Роман1974

Ответов: 9
Просмотров: 6134
Последний ответ 18.05.2017, 15:15:40
от Igoritaly
Странная ошибка: Could not connect to database

Автор hazamin

Ответов: 26
Просмотров: 14601
Последний ответ 12.04.2017, 20:50:58
от Alenk14_12_1986